WordPress.org

Forums

Error post.php after publishing or updating posts in WP 3.7 (10 posts)

  1. Leo Tran
    Member
    Posted 1 year ago #

    Hi guys,

    I've updated my blog to WP 3.7 but I get a suck error everytime after publishing or updating my posts.

    This error display each time I press Publish a new post or Update any posts:

    WP_Post Object
    (
        [ID] => 5807
        [post_author] => 1
        [post_date] => 2013-10-26 07:19:00
        [post_date_gmt] => 2013-10-26 00:19:00
        [post_content] => Testing content...
        [post_title] => Test new post
        [post_excerpt] =>
        [post_status] => publish
        [comment_status] => open
        [ping_status] => open
        [post_password] =>
        [post_name] => test-new-post
        [to_ping] =>
        [pinged] =>
        [post_modified] => 2013-10-26 09:25:03
        [post_modified_gmt] => 2013-10-26 02:25:03
        [post_content_filtered] =>
        [post_parent] => 0
        [guid] => http://mydomain.com/?p=5807
        [menu_order] => 0
        [post_type] => post
        [post_mime_type] =>
        [comment_count] => 0
        [filter] => raw
        [format_content] =>
    )

    Everything is okay except this error. I've tried to deactived all plugins one-by-one but this error still remains.

    Any solutions for this error? Thanks so much!

  2. kmessinger
    Forum Moderator
    Posted 1 year ago #

    Does this happen with all plugins off and the default theme?

    http://wordpress.org/support/topic/wordpress-37-master-list?replies=5

  3. Leo Tran
    Member
    Posted 1 year ago #

    Everything is okay now, sir.

    The reason is the plugin NextScripts: Social Networks Auto-Poster. When updating my blog to WP 3.7 I've also updated this plugin to newer version, and it made my blog broken. Now I've downgraded this plugin to older version so everything is fine now. :)

  4. Th0rHere
    Member
    Posted 1 year ago #

    Hey Leo Tran, Identical issue and same plugin causing it, just wondering what version of the plugin did you downgrade too.

  5. Th0rHere
    Member
    Posted 1 year ago #

    Just downgraded to 2.7.14 and it's working perfectly. Nice work for spotting the plugin causing the issue.

    Have reported the plugin to the developers of it as well. Since it's a popular plugin I would say they will update it again soon.

  6. wpnebula
    Member
    Posted 1 year ago #

    Having the same issue. @Th0rHere where can I get the last version?

  7. WPyogi
    Forum Moderator
    Posted 1 year ago #

  8. wpnebula
    Member
    Posted 1 year ago #

    thank you

  9. Leo Tran
    Member
    Posted 1 year ago #

    @guys,

    I've downgraded NextScripts: Social Networks Auto-Poster to ver 2.7.20 and my blog works well now. Don't install ver 2.7.22 soon until plugin's author fix it.

    You can download this ver at http://www.nextscripts.com/social-networks-auto-poster-for-wordpress/

    Or quick link:
    Download: Ver 2.7.20 (Released: Sept 12, 2013)
    http://www.nextscripts.com/files/social-networks-auto-poster-facebook-twitter-g.zip

  10. wpnebula
    Member
    Posted 1 year ago #

    Latest update Version 2.7.22 fixed this for me.

Topic Closed

This topic has been closed to new replies.

About this Topic